> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/ulisting/listing-types/listing-type-attributes.md).

# Custom Fields

The **Custom Fields** parameter allows users to create a new listing type by providing a custom fields list. The process of creating and editing **Custom Fields** is shown in this article.

Three main columns are provided in order to help to navigate through this section.

* **Used custom fields** - Custom fields can be dragged from the second column relatively to the new listing type.
* **All available custom fields** - The list of all created custom fields.
* **New custom field** - New custom field can be added.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Malha9R4Fgy3qb27IXi%2F-Malmfn_6u6zyTmXrTOP%2FEdit-List-%E2%80%B9-uListing-%E2%80%94-WordPresskuk.png?alt=media\&token=f267f797-1687-4f0c-ae17-b02383d12904)

Drag the necessary custom fields from **All available custom fields** to the most left section, **Used custom fields** in order to select the required custom fields while creating a new listing type.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Malha9R4Fgy3qb27IXi%2F-Malnk_lDnFmIb41fQ5t%2F65.png?alt=media\&token=4ae07488-e0d2-40ad-9a98-c592e78b06c0)

A new attribute can be created from the third column and dragged to the **Used custom fields column**.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-MaXp-_P0GeyI4tTL7T9%2F-MaYQQ9RUcBiTJhLezMB%2FAdd-New-List-%E2%80%B9-uLis657ting-%E2%80%94-WordPress.png?alt=media\&token=4f50e05e-beea-4eb0-9aa4-bb43c38913a1)

After dragging all the necessary custom fields, click the **Save Changes** button.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Malha9R4Fgy3qb27IXi%2F-Malrug1exG-HR5rqwop%2FEdit-List-%E2%80%B9-uListing-%E2%80%94-WordPress6734.png?alt=media\&token=9a56e8b6-7e82-40a7-a1e9-0e4495c5d0aa)

All custom fields that you drag into **Used custom fields** appear in the following sections by adding listings.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Malha9R4Fgy3qb27IXi%2F-Mamnw55e9Ik3BzVidLA%2FEdit-List-%E2%80%B9-uListing-%E2%80%94-WordPress3213.png?alt=media\&token=dd69bee9-4b45-4099-a136-901505692a49)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stylemixthemes.com/ulisting/listing-types/listing-type-attributes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
